<?php

require_once "conexion.php";

class  IngresoModels{

	public static  function ingresoModel($datosModel, $tabla){
		$stmt = Conexion::conectar()->prepare("SELECT IdUsuario, Usuario, Clave, intentos, Puesto, usu.IdPersonal,per.Apellidos,per.Nombres FROM $tabla usu inner join personal per on per.IdPersonal=usu.IdPersonal  WHERE Usuario = :Usuario");
		$stmt -> bindParam(":Usuario", $datosModel["Usuario"], PDO::PARAM_STR);
		$stmt -> execute();
		return $stmt -> fetch();
		$stmt -> close();
	}

	public static function intentosModel($datosModel, $tabla){
		$stmt = Conexion::conectar()->prepare("UPDATE $tabla SET intentos = :intentos WHERE Usuario = :Usuario");
		$stmt -> bindParam(":intentos", $datosModel["actualizarIntentos"], PDO::PARAM_INT);
		$stmt -> bindParam(":Usuario", $datosModel["usuarioActual"], PDO::PARAM_STR);
		if($stmt -> execute()){
			return "ok";
		}
		else{
			return "error";
		}
	}

}
