<?php
  session_start();
  if(!$_SESSION["validar"]){
    header("location:ingreso");
    exit();
  }
  require_once 'controllers/controllerproductos.php';

?>

<body>
<div class="wrapper">
    <?php
      //include "views/modules/cabezote.php";
      //include "views/modules/botonera.php";
      include "views/modules/home.php";
    ?>


    <script>
      function imprimir(){
        var objeto=document.getElementById('imprimeme');  //obtenemos el objeto a imprimir
        var ventana=window.open('','_blank');  //abrimos una ventana vacía nueva
        ventana.document.write(objeto.innerHTML);  //imprimimos el HTML del objeto en la nueva ventana
        ventana.document.close();  //cerramos el documento
        ventana.print();  //imprimimos la ventana
        ventana.close();  //cerramos la ventana
      }
    </script>

 
      <section class="content">
        <div class="row">
          <div class="col-md-4" align="center"></div>
          <div class="col-md-4" align="center"><br>
            <button type="submit" class="btn btn-icon waves-effect waves-light btn-primary m-b-5" data-toggle="modal" data-target="#modalRegistrar"> Registrar &nbsp; <i class="fa fa-floppy-o"></i></button>
            <button type="button" class="btn btn-icon waves-effect waves-light btn-primary m-b-5" onclick="window.history.back();">
    Atrás &nbsp; <i class="fa fa-arrow-left"></i>
</button>
        
          </div>
          <div class="col-md-4" align="center"><br></div>
        </div>
        <br>
        <!--  Modal registrar-->
        <div class="modal fade" id="modalRegistrar" tabindex="-1" role="dialog"
          aria-labelledby="myModalLabel" aria-hidden="true">
          <form name="form1" method="post" action="">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal"
                    aria-hidden="true">&times;</button>
                  <h3 align="center" class="modal-title" id="myModalLabel">Nuevo producto</h3>
                </div>
                <div class="panel-body">
                  <div class="row">
                    <div class="col-md-12">
                      <div class="input-group">
                        <span class="input-group-addon">Nombre</span>
                        <input type="text" class="form-control" id="nombreProducto" name="nombreProducto" required>
                      </div><br>
                    </div>
                    <div class="col-md-12">
                    <div class="input-group">
                        <span class="input-group-addon">Descripcion</span>
                        <textarea class="form-control" id="descripcionProducto" name="descripcionProducto" rows="2" required></textarea>
                      </div>
                      <br>
                    </div>

                    <div class="col-md-6">
                      <div class="input-group">
                        <span class="input-group-addon">Unidad</span>
                        <select class="form-control" name="Unidad" id="Unidad" autocomplete="off" required>
                        <option value="Bolsa">Bolsa</option>
                        <option value="Kg">Kg</option>
                        <option value="Caja">Caja</option>
                        <option value="Libras">Libras</option>
                        </select>
                      </div>
                    </div>


                    <div class="col-md-6">
                      <div class="input-group">
                        <span class="input-group-addon">Unidad para Bebidas</span>
                        <select class="form-control" name="unidad_bebidas" id="unidad_bebidas" autocomplete="off" required>
                        
                        <option value="Botellas">Botellas</option>
                        <option value="Litros">Litros</option>
                                <option value="Mililitros">Mililitros</option>
                                <option value="Vasos">Vasos</option>
                                <option value="Galón">Galón</option>
                        </select>
                      </div>

                      <br>
                    </div>


                    
                    <div class="col-md-6">
                    <div class="input-group">
                        <span class="input-group-addon">Porciones por Unidad</span>
                        <input type="number" class="form-control" id="porciones" name="porciones">
                      </div>
                    </div>

                    <div class="col-md-6">
                    <div class="input-group">
                        <span class="input-group-addon">Precio Unitario</span>
                        <input type="number" class="form-control" id="precio" name="precio" step="0.01" required>
                      </div>

                      <br>

                    </div>


                  
                    <div class="col-md-6">
                      <div class="input-group">
                        <span class="input-group-addon">¿Es Bebida?</span>
                        <select class="form-control" name="esbebida" id="esbebida" autocomplete="off" required>
                                <option value="Sí">Sí</option>
                                <option value="No">No</option>
                            </select>
                      </div><br>
                    </div>


                    <div class="col-md-12">
                      <div class="input-group">
                        <span class="input-group-addon">Fecha de Expiración</span>
                        <input type="date" class="form-control" id="fecha_expiracion" name="fecha_expiracion" required>
                      </div><br>
                    </div>


                  
                  </div>
                  <div class="modal-footer">
                    <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                    <button type="submit" class="btn btn-primary">Guardar</button>
                  </div>
                </div>
              </div>
            </div>
          </form>
        </div>
        <?php
          $registro = new controllerproductos();
          $registro -> registroProducto();
          $registro -> actualizarProducto();
          $registro -> borrarProducto();

          if(isset($_GET["action"])){
            if($_GET["action"] == "ok"){
              echo "Registro Exitoso";
            }
          }
        ?>

        <div class="box box-primary">
          <div class="box-header">
            <h3 class="box-title">Producto</h3></div>
            <div class="box-body" style="height: 700px;">
              <table class="table table-bordered datatable table-striped table-hover" width="100%">
                <thead>
                <th class="hidden">ID</th>
                  <th></th>
                  <th>Producto</th>
                  <th>Descripcion</th>
                  <th>Precio</th>
                  <th>Acciones</th>
                </thead>
                <tbody>
                  <?php
                    $respuesta = controllerproductos::vistaProducto();
                    foreach($respuesta as $row => $item){
                  ?>
                    <tr class="odd gradeX">
                      <td class="hidden">
                        <center><?php echo $item['ID'] ?></center>
                      </td>
                      <td style="width:30px;">
                        <a data-toggle="modal" data-target="#ModalVisualizar<?php echo $item['ID']; ?>">
                          <i class="fa fa-eye"></i>
                        </a>
                      </td>
                   
                      <td>
                        <center><?php echo $item['Nombre'] ?></center>
                      </td>

                      <td>
                        <center><?php echo $item['Descripcion'] ?></center>
                      </td>

                      <td>
                        <center><?php echo $item['PrecioUnitario'] ?></center>
                      </td>
                      <td>

                        <div class="btn-group">
                          <button data-toggle="dropdown"
                            class="btn btn-warning btn-sm dropdown-toggle"><i
                              class="fa fa-cog"></i> <span class="caret"></span></button>
                          <ul class="dropdown-menu">
                            <li><a href="#" data-toggle="modal"
                                data-target="#ModalActualizar<?php echo $item['ID']; ?>"><i
                                  class="fa fa-edit"></i>Editar</a></li>
                            <li class="divider"></li>
                            <li><a href="#" data-toggle="modal"
                                data-target="#ModalEliminar<?php echo $item['ID']; ?>"><i
                                  class="fa fa-times"></i> Eliminar</a></li>
                          </ul>
                        </div>

                      </td>
                    </tr>
                    <!--Modal Visualizar  -->
                    <div class="modal fade" id="ModalVisualizar<?php echo $item['ID']; ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                      <form name="contado" method="post">
                        <input type="hidden" name="idProductoID"
                          value="<?php echo $item['ID']; ?>">
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal"
                                aria-hidden="true">&times;</button>
                              <h3 align="center" class="modal-title" id="myModalLabel">Informacion
                              </h3>
                            </div>
                            <div class="panel-body">
                              <div class="row">
                            
                                <div class="col-md-6">
                                  <strong>Producto:</strong> <?php echo $item['Nombre']; ?> <br>
                                </div>
                                <div class="col-md-6">
                    </div>
                                <div class="col-md-12">
                                  <strong>Descripcion:</strong> <?php echo $item['Descripcion']; ?>
                                  <br>
                                </div>
                                <div class="col-md-6">
                                  <strong>Unidad:</strong> <?php echo $item['Unidad']; ?> <br>
                                </div>
                           
                                <div class="col-md-6">
                                  <strong>Unidad para bebidas:</strong> <?php echo $item['UnidadParaBebidas']; ?> <br>
                                </div>


                                <div class="col-md-6">
                                  <strong>Porciones por unidad:</strong> <?php echo $item['PorcionesPorUnidad']; ?> <br>
                                </div>

                                <div class="col-md-6">
                                  <strong>Precio Unitario:</strong> <?php echo $item['PrecioUnitario']; ?> <br>
                                </div>

                                <div class="col-md-6">
                                  <strong>¿Es Bebida?</strong> <?php echo $item['EsBebida']; ?> <br>
                                </div>
                              
                                <div class="col-md-6">
                                  <strong>Fecha De Expiracion</strong> <?php echo $item['FechaDeExpiracion']; ?> <br>
                                </div>


                              </div>
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-default"
                                data-dismiss="modal">Cerrar</button>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>

                    <!--Modal Eliminar  -->
                    <div class="modal fade" id="ModalEliminar<?php echo $item['ID']; ?>"
                      tabindex="-1" role="dialog" aria-labelledby="myModalLabel"
                      aria-hidden="true">
                      <form name="contado" method="post">
                        <input type="hidden" name="idProductoE"
                          value="<?php echo $item['ID']; ?>">
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal"
                                aria-hidden="true">&times;</button>
                              <h3 align="center" class="modal-title" id="myModalLabel">Precaucion
                              </h3>
                            </div>
                            <div class="panel-body">
                              <div class="row" align="center">


                              <div style="background-color: #c62828; color: white; padding-top: 30px; padding-bottom: 30px; padding-left: 15px; padding-right: 15px; margin-top: 20px; margin-bottom: 20px;">
                                  <h4>¿Esta Seguro de Realizar esta Acción?<br>
                                    una vez Eliminada la informacion de <strong>[
                                      <?php echo $item['Nombre']; ?> ]</strong> no podra ser
                                    Recuperada.</h4>
                                </div>
                              </div>
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-default"
                                data-dismiss="modal">Cancelar</button>
                              <button type="submit" class="btn btn-primary">Eliminar</button>

                            </div>
                          </div>
                        </div>
                      </form>
                    </div>

                    <!--  Modals actualizar-->
                    <div class="modal fade" id="ModalActualizar<?php echo $item['ID']; ?>" tabindex="-1" role="dialog"
                      aria-labelledby="myModalLabel" aria-hidden="true">
                      <form name="form1" method="post" action="">
                        <input type="hidden" name="idActPro" value="<?php echo $item['ID']; ?>">
                        <div class="modal-dialog">
                          <div class="modal-content">
                            <div class="modal-header">
                              <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>

                              <h3 align="center" class="modal-title" id="myModalLabel">Actualizar Producto</h3>
                            </div>
                            <div class="panel-body">

                            <div class="row">
                    <div class="col-md-12">
                      <div class="input-group">
                        <span class="input-group-addon">Nombre</span>
                        <input type="text" class="form-control" id="nombreProductoAct" name="nombreProductoAct" required value="<?php echo $item['Nombre'] ?>">
                      </div><br>
                    </div>
                    <div class="col-md-12">
                    <div class="input-group">
                        <span class="input-group-addon">Descripcion</span>
                        <textarea class="form-control" id="descripcionProductoAct" name="descripcionProductoAct" rows="2" required><?php echo $item['Descripcion'] ?></textarea>
                      </div>
                      <br>
                    </div>

                    <div class="col-md-6">
                      <div class="input-group">
                        <span class="input-group-addon">Unidad</span>
                        <select class="form-control" name="UnidadAct" id="UnidadAct" autocomplete="off" required>
                        <option <?php if($item['Unidad'] == 'Bolsa'){echo 'selected';} ?> value="Bolsa">Bolsa</option>
                        <option <?php if($item['Unidad'] == 'Kg'){echo 'selected';} ?> value="Kg">Kg</option>
                        <option <?php if($item['Unidad'] == 'Caja'){echo 'selected';} ?> value="Caja">Caja</option>
                        <option <?php if($item['Unidad'] == 'Libras'){echo 'selected';} ?>  value="Libras">Libras</option>



                        </select>
                      </div>
                    </div>


                    <div class="col-md-6">
                      <div class="input-group">
                        <span class="input-group-addon">Unidad para Bebidas</span>
                        <select class="form-control" name="unidad_bebidasAct" id="unidad_bebidasAct" autocomplete="off" required>
                        <option <?php if($item['UnidadParaBebidas'] == 'Botellas'){echo 'selected';} ?> value="Botellas">Botellas</option>
                        <option <?php if($item['UnidadParaBebidas'] == 'Litros'){echo 'selected';} ?> value="Litros">Litros</option>
                                <option <?php if($item['UnidadParaBebidas'] == 'Mililitros'){echo 'selected';} ?> value="Mililitros">Mililitros</option>
                                <option <?php if($item['UnidadParaBebidas'] == 'Vasos'){echo 'selected';} ?> value="Vasos">Vasos</option>
                                <option <?php if($item['UnidadParaBebidas'] == 'Galón'){echo 'selected';} ?> value="Galón">Galón</option>
                        </select>
                      </div>

                      <br>
                    </div>


                    
                    <div class="col-md-6">
                    <div class="input-group">
                        <span class="input-group-addon">Porciones por Unidad</span>
                        <input type="number" class="form-control" id="porcionesAct" name="porcionesAct" value="<?php echo $item['PorcionesPorUnidad'] ?>">
                      </div>
                    </div>

                    <div class="col-md-6">
                    <div class="input-group">
                        <span class="input-group-addon">Precio Unitario</span>
                        <input type="number" class="form-control" id="precioAct" name="precioAct" step="0.01" required value="<?php echo $item['PrecioUnitario'] ?>">
                      </div>

                      <br>

                    </div>


                  
                    <div class="col-md-6">
                      <div class="input-group">
                        <span class="input-group-addon">¿Es Bebida?</span>
                        <select class="form-control" name="esbebidaAct" id="esbebidaAct" autocomplete="off" required>
                                <option <?php if($item['EsBebida'] == 'Sí'){echo 'selected';} ?> value="Sí">Sí</option>
                                <option <?php if($item['EsBebida'] == 'No'){echo 'selected';} ?> value="No">No</option>
                            </select>
                      </div><br>
                    </div>


                    <div class="col-md-12">
                      <div class="input-group">
                        <span class="input-group-addon">Fecha de Expiración</span>
                        <input type="date" class="form-control" id="fecha_expiracionAct" name="fecha_expiracionAct" required value="<?php echo $item['FechaDeExpiracion'] ?>">
                      </div><br>
                    </div>


                  
                  </div>
              


                            
                            </div>
                            <div class="modal-footer">
                              <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
                              <button type="submit" class="btn btn-primary">Modificar</button>
                            </div>
                          </div>
                        </div>
                      </form>
                    </div>
                  <?php } ?>
                </tbdody>
              </table>
            </div>
          </div>
     
    </div>
    </section>  
  </div>
</body>

<script type="text/javascript">
  $(document).ready(function () {
    $(".datatable").DataTable({
      "language": {
        "sProcessing": "Procesando...",
        "sLengthMenu": "Mostrar _MENU_ registros",
        "sZeroRecords": "No se encontraron resultados",
        "sEmptyTable": "Ningún dato disponible en esta tabla",
        "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
        "sInfoEmpty": "Mostrando registros del 0 al 0 de un total de 0 registros",
        "sInfoFiltered": "(filtrado de un total de _MAX_ registros)",
        "sInfoPostFix": "",
        "sSearch": "Buscar:",
        "sUrl": "",
        "sInfoThousands": ",",
        "sLoadingRecords": "Cargando...",
        "oPaginate": {
          "sFirst": "Primero",
          "sLast": "Último",
          "sNext": "Siguiente",
          "sPrevious": "Anterior"
        },
        "oAria": {
          "sSortAscending": ": Activar para ordenar la columna de manera ascendente",
          "sSortDescending": ": Activar para ordenar la columna de manera descendente"
        }
      }
    });
  });
</script>
