<?php
  require_once "../../models/modelInventario.php";

$datosPlato = json_decode($_POST['datosPlato'], true);

// Procesamos el objeto
foreach ($datosPlato as $plato) {
    $idPlato = $plato['idPlato'];
    $cantidadPlatos = $plato['cantidad'];
    $precio = $plato['precio'];



    $ingredientes = modelInventario::ObtenerIngredientes($idPlato);

    if (empty($ingredientes)) {
        echo json_encode(["status" => "error", "message" => "Este plato no tiene ingredientes registrados."]);
        exit;
    }




    foreach ($ingredientes as $ingrediente) {

        $idIngrediente = $ingrediente['IdIngredientes'];
        $cantidadRequerida = $ingrediente['CantidadU'] * $cantidadPlatos;

        // Verificar el inventario para ese ingrediente
        $cantidadEnInventario = modelInventario::VerificarCantidadInventario($idIngrediente);

        $resultado1 = modelInventario::DescontarInventario($idIngrediente, $cantidadRequerida);
        if (!$resultado1) {
            echo json_encode(["status" => "error", "message" => "Error al descontar inventario para el ingrediente: " . $ingrediente['Nombre']]);
            exit;
        }



    }
   // VerificarCantidadInventario


}


echo json_encode(["status" => "success", "message" => "Inventario descontado correctamente."]);
?>